# Lucid ARIA

Provides [ARIA][] attributes that can be used to add accessibility
annotations to Lucid templates.

The Haskell code was manually generated by creating a Lucid attribute
for each attribute listed in the [WAI-ARIA Attributes XML Schema
Module][].

[ARIA]: https://www.w3.org/TR/wai-aria-1.1/
[WAI-ARIA Attributes XML Schema Module]: https://www.w3.org/MarkUp/SCHEMA/aria-attributes-1.xsd

## Development

The intended development flow is to use a Nix Flake development shell,
e.g., using [Direnv](https://direnv.net/) or directly running

``` console
$ nix develop .
…
```

This will help set up a shell containing the necessary development
dependencies. This shell will also be populated with utilities that
can be run directly in the terminal:

- `p-format` – formats the project's Cabal, Haskell, and Nix code.

## License

[Apache License 2.0](https://spdx.org/licenses/Apache-2.0.html)
